## Apache Zeta Components Manual :: Docs For Class ezcGraphAxisRotatedBoxedLabelRenderer

### Graph::ezcGraphAxisRotatedBoxedLabelRenderer

### Class ezcGraphAxisRotatedBoxedLabelRenderer

Can render axis labels rotated, so that more axis labels fit on one axis.

Produces best results if the axis space was increased, so that more spcae is available below the axis.

1. $chart->xAxis->axisLabelRenderer=new ezcGraphAxisRotatedLabelRenderer ();
3. // Define angle manually in degree
4. $chart->xAxis->axisLabelRenderer->angle=45;
6. // Increase axis space
7. $chart->xAxis->axisSpace=.2;

Source for this file: /Graph/src/renderer/axis_label_rotated_boxed.php

    ezcBaseOptions
       |
       --ezcGraphAxisLabelRenderer
          |
          --ezcGraphAxisRotatedLabelRenderer
             |
             --ezcGraphAxisRotatedBoxedLabelRenderer

Version: | //autogentag//

### Properties

float | read/write | `$angle` Angle of labels on axis in degrees.

### Inherited Member Variables

From ezcGraphAxisRotatedLabelRenderer
protected | `ezcGraphAxisRotatedLabelRenderer::$direction`
protected | `ezcGraphAxisRotatedLabelRenderer::$offset`
protected | `ezcGraphAxisRotatedLabelRenderer::$steps`
protected | `ezcGraphAxisRotatedLabelRenderer::$widthModifier`
From ezcGraphAxisLabelRenderer
protected | `ezcGraphAxisLabelRenderer::$driver`
From ezcBaseOptions
protected | `ezcBaseOptions::$properties`

### Method Summary

public ezcGraphCoordinate | `modifyChartDataPosition( $coordinate )` Modify chart data position
public void | `renderLabels( $renderer , $boundings , $start , $end , $axis , [ $innerBoundings = null] )` Render Axis labels

### Inherited Methods

From ezcGraphAxisRotatedLabelRenderer
protected float | `ezcGraphAxisRotatedLabelRenderer::calculateLabelLength()` Calculate general label length
protected float | `ezcGraphAxisRotatedLabelRenderer::calculateLabelSize()` Calculate label size
protected void | `ezcGraphAxisRotatedLabelRenderer::determineAngle()` Determine label angle
protected float | `ezcGraphAxisRotatedLabelRenderer::determineTextOffset()` Determine text offset.
public ezcGraphCoordinate | `ezcGraphAxisRotatedLabelRenderer::modifyChartDataPosition()` Modify chart data position
public void | `ezcGraphAxisRotatedLabelRenderer::renderLabels()` Render Axis labels
protected void | `ezcGraphAxisRotatedLabelRenderer::renderLabelText()` Render label text.
From ezcGraphAxisLabelRenderer
public mixed | `ezcGraphAxisLabelRenderer::determineLineCuttingPoint()` Checks for the cutting point of two lines.
protected void | `ezcGraphAxisLabelRenderer::drawGrid()` Draw grid
protected void | `ezcGraphAxisLabelRenderer::drawNonRectangularGrid()` Draw non-rectangular grid lines grid
protected void | `ezcGraphAxisLabelRenderer::drawRectangularGrid()` Draw rectangular grid
public void | `ezcGraphAxisLabelRenderer::drawStep()` Draw single step on a axis
protected array | `ezcGraphAxisLabelRenderer::getAxisSpace()` Get axis space values
public ezcGraphBoundings | `ezcGraphAxisLabelRenderer::modifyChartBoundings()` Modify chart boundings
public ezcGraphCoordinate | `ezcGraphAxisLabelRenderer::modifyChartDataPosition()` Modify chart data position
public abstract void | `ezcGraphAxisLabelRenderer::renderLabels()` Render Axis labels
From ezcBaseOptions
public ezcBaseOptions | `ezcBaseOptions::__construct()` Construct a new options object.
public void | `ezcBaseOptions::merge()` Merge an array into the actual options object.
public bool | `ezcBaseOptions::offsetExists()` Returns if an option exists.
public mixed | `ezcBaseOptions::offsetGet()` Returns an option value.
public void | `ezcBaseOptions::offsetSet()` Set an option.
public void | `ezcBaseOptions::offsetUnset()` Unset an option.

### Methods

#### modifyChartDataPosition

ezcGraphCoordinate modifyChartDataPosition( ezcGraphCoordinate $coordinate )

Modify chart data position

Optionally additionally modify the coodinate of a data point

##### Parameters:

Name | Type | Description
--- | --- | ---
`$coordinate` | ezcGraphCoordinate | Data point coordinate

##### Redefinition of:

Method | Description
--- | ---
`ezcGraphAxisRotatedLabelRenderer::modifyChartDataPosition()` | Modify chart data position

#### renderLabels

void renderLabels( ezcGraphRenderer $renderer , $boundings , ezcGraphCoordinate $start , ezcGraphCoordinate $end , ezcGraphChartElementAxis $axis , [ $innerBoundings = null] )

Render Axis labels

Render labels for an axis.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$renderer` | ezcGraphRenderer | Renderer used to draw the chart
`$boundings` | ezcGraphBoundings | Boundings of the axis
`$start` | ezcGraphCoordinate | Axis starting point
`$end` | ezcGraphCoordinate | Axis ending point
`$axis` | ezcGraphChartElementAxis | Axis instance
`$innerBoundings` | ezcGraphBoundings |

##### Redefinition of:

Method | Description
--- | ---
`ezcGraphAxisRotatedLabelRenderer::renderLabels()` | Render Axis labels

Documentation generated by phpDocumentor 1.4.3